import appConfig from '../config'

// 服务器地址
export const API_SERVER = appConfig.API_ROOT

// 是否外部的服务器
export const isOutServer = url => url.indexOf('/') !== 0

// 全局错误码处理
const ERROR_CODE_MAP = {
  // 401: {
  //   message: '',
  //   process: (resp) => {}
  // },
}

const SUCCESS_CODE = 1000

const defaultStateConfig = {
  loading: true,
  errorToast: true,
  loadingText: '加载中...',
}

// 封装get post 请求
export const $request = {
  get(url, params, config) {},
  post(url, params, config) {},
  delete(url, params, config) {},
  postForm(url, params, config) {},
}
